# Portfolio Press

Portfolio Press is a responsive theme for showcasing your photography, art, web sites, or other projects.  It also works nicely as a regular blog site.  An options panel is included for uploading logos and and changing the layout.  There's also support for the image, gallery and quote post formats.  Visit the [demo site](http://themes.wptheming.com/portfolio/) or [watch the video screencast](http://wptheming.com/portfolio-press) for set up instructions.

## Credits

WordPress projects always stand on the shoulders of others.  Please take this theme and build upon it for you own work!

Portfolio was built on the solid foundation of [Toolbox](http://wordpress.org/extend/themes/toolbox).

Additional testing and code audits were done by [Michael Fields](http://wordpress.mfields.org/) and [Jake Goldman](https://twitter.com/jakemgold).

Portfolio Press 2.4
----

* Add FitVids for better support of responsive video
* More efficient font loading
* Minor updates to comment-author and caption styling (props @TomLany)
* Add descriptions to image attachment page

Portfolio Press 2.3
----

* Minor style update for portfolio title overlays
* Update for translation files
* Change z-index of menu drop drop down
* Better support for 3 level menus
* Update readme file to markdown
* New template for images

Portfolio Press 2.2
----

* Make post format icon a link
* Portuguese translations by Pedro Mendonca
* Update for gallery styles
* Update for table, list and definition styles
* Enhancements for input styles (props @TomLany)
* Update to enqueue base stylesheet
* Remove javascript mod to hide page templates

Portfolio Press 2.1
----

* Fix for three tier menus
* Fix for Google font loading from https
* Remove padding on logo for small screen
* Hide featured images in blog layout if option is unchecked
* Display archive titles and descriptions

Portfolio Press 2.0
----

* New menu styling
* Portfolio templates and styles rebuilt
* Support post formats in portfolio layout
* Icon font
* Single column is now 980px
* Support Jetpack Carousel Module
* Update gallery shortcode to HTML5 markup
* Update styling for image captions

Portfolio Press 1.8
----

* Larger screenshot for WordPress 3.8
* Compatibility update for Options Framework 1.7

Portfolio Press 1.7
----

* Show larger thumbnails on one-column layouts
* Increase thumbnail sizes on regular layouts
* Fix for max-width logo in Firefox
* Show thumbnails on search pages

Portfolio Press 1.6
----

* Update $content_width on full page templates
* Improvements for password protected portfolio posts
* Normalize post meta
* New portfoliopress_posts_per_page filter

Portfolio Press 1.5
----

* Add single portfolio post navigation back
* Add fullwidth portfolio thumnail size
* Max-width for iframe,embeds and objects
* Better responsive menu
* Author page displays posts and author description

Portfolio Press 1.4.1
----

* Fixed theme dependency on Options Framework plugin
* Updated inline theme documentation

Portfolio Press 1.4
----

* Added box shadows to borders
* Max-width for logo image
* Update portfolio-large size to 640px
* Remove prev/next post navigation on single posts and portfolio items
* Add borders around post meta
* Make the full width layout option max-width 780px
* Update screenshot image for retina
* Show titles and descriptions on portfolio taxonomy pages

Portfolio Press 1.3.0
----

* Fix for portfolio pages when single column selected
* Allow image galleries to display in archives
* Fix for plugin notices
* Update thumbnail sizing (props @alexkunz)

Portfolio Press 1.2.2
----

* Fix for image alignment bug (introduced in 1.2)

Portfolio Press 1.2.1
----

* Fix for JS error that causes scripts to break

Portfolio Press 1.2.0
----

* Front end customizer support
* Additional layout option (single column)
* Better CSS for captions and images
* Filterable titles
* Upsell link for Portfolio+ on options page

Portfolio Press 1.1.0
----

* Responsive design
* Updated styling

Portfolio Press 1.0
----

* Fix for search.php template
* Fix for pagination in portfolio page template

Portfolio Press 0.9.0
----

* Paging bug fixes for portfolio items
* Fix for missing blockquote image
* Removed portfolio post type code
* Replaced portfolio taxonomy templates with archive-portfolio
* Renamed loop.php to content.php
* Added post format support for quotes, images, and galleries
* Renamed scripts files

Portfolio Press 0.8.0
----

* WordPress 3.1 or higher is now required
* Updated Spanish translations from Eduardo Larequi
* German translations added by Sandro Bauer
* Added Russian translations from Alexander (http://k-notes.ru)
* Removed Simple Custom Post Type Archives Plugin
* Added support for Portfolio Post Type plugin
* Updated overlay bug for full width portfolio
* Simplified code for portfolio content
* Added print stylesheet to style.css
* Updated portfolio taxonomy tags
* Added template for portfolio categories
* Removed wp_title filtering

Portfolio Press 0.7.5
----

* Fixes menu placement option
* Fixes menu styling for widget areas
* Fixes styling in iOS devices
* Fixes left column layout in portfolio pages
* Updates icons in options panel
* Fixes for comment display on single.php
* Added option for displaying portfolio archives full width
* Merged css reset into main stylesheet

Portfolio Press 0.7.4
----

* Paging bug fixes when portfolio is set as home page
* Checkbox fixes for options panel
* Styling changes to selected menu parent in drop down
* Option for changing header color

Portfolio Press 0.7.3
----

* Better syntax for options conditionals
* Minor style updates as recommended by WordPress Theme Team
* Chinese translations by Sunny Lau
* Updated Spanish Translations from Eduardo Larequi
* Changed "current-page-parent" to "current-menu-parent" in css

Portfolio Press 0.7.2
----

* Changed image path in options.php back to get_bloginfo('template_url')
* Deleted styles folder
* Removed option to set portfolio as home.  Better done through core..

Portfolio Press 0.7.0
----

* Major updates to the options panel
* Minor updates to how Portfolio post type is set up
* Update to screenshot image

Portfolio Press 0.6.1
----

* Added Norwegian translations from Erling Hamso * http://www.erlinghamso.no
* Minor update to the 404 page from Michael Fields * http://wordpress.mfields.org

Portfolio Press 0.6.0
----

* Made further updates for WordPress 3.1 compatibility
* Added options panel (props WooThemes)
* Includes new options to upload logo, set menu position, update footer text, and more.

Portfolio Press 0.5.3
----

* Fixed pagination issue when portfolio template was set to home page
* Added portfolio icon designed by Ben Dunkle, core WordPress designer, Field 2 design, field2.com
* Added french translations from Wolforg at http://www.wptrads.fr/portfolio-press/
* Updated description to link to demonstration video and french translation note
* Changed from type-portfolio.php to archive-portfolio.php in preparation for 3.1

Portfolio Press 0.5.2
----

* Added Spanish translations and the domain for backend localizations, props http://www.labitacoradeltigre.com
* For complete instructions in Spanish, read: http://bit.ly/dyFGYr
* Added complete RTL stylesheet support
* Updated to version 0.9.3 of the simple-custom-post-type-archives drop in plugin
* Deleted title filter for custom post types in functions.php
* Added password protection ability to portfolio post type templates
* Added add_image_size( 'portfolio-large', 630, 9999, false ); because large images were being browser resized

Portfolio Press 0.5.1
----

* Updated the text domain for translations
* Made the name change to "Portfolio Press" to comply with repo guidelines

Portfolio Press 0.5
----

* Added templates for full-width portfolio, and taxonomy portfolio-tags
* Updated style.css for new templates and for full-width page template
* Added additional thumbnail size for the full width portfolio templates

Portfolio Press 0.4.4
----

* Updated style.css and reset.css to have styling for sub & sup html tags + code, pre, dl, dt, dd, abbr, cite

Portfolio Press 0.4.3
----

* Updated style.css to have a clear on the .entry-utility
* Updated the screenshot.png
* Updated the theme description

Portfolio Press 0.4.2
----

* Updated style.css to properly align center images with captions
* Updated style.css to better display very long post titles
* Updated screenshot to reflect initial install (as per repository specs)

Portfolio Press 0.4.1
----

* Updated style.css to properly clear images when they are floated at the bottom of a post
* Updated styles.css to apply a max-width of 640px to images in #content

Portfolio Press 0.4
----

* Changed title filter priority in simple-custom-post-type-archives.php
* Added better handling for the Simple Custom Post Type Archives plugin
* Updated the menu_postion for the portfolio post type
* Combined the portfolio post type and custom taxonomy into the same init hook
* Added better labels to the portfolio post type
* Updated the hover states on the menu to use stop(true)
* Added thumbnails and taxonomy tags to the column view for portfolio post type
* Added an icon to the portfolio post type
